"""Constants for Content Library B2B Patching

"""
__author__ = 'VMware, Inc.'
__copyright__ = 'Copyright 2016-2017,2019 VMware, Inc. All rights reserved.'


PATCH_VERSION_6_6_1 = "6.6.1"
PATCH_VERSION_6_6_2 = "6.6.2"
PATCH_VERSION_6_6_3 = "6.6.3"
PATCH_VERSION_6_6_4 = "6.6.4"

# Pivotal tc Server runtime instance directory on Linux
TC_SERVER_DIR = '/usr/lib/vmware-content-library/server'
# VDC properties file path
VDC_PROPERTIES_FILE = "/etc/vmware-content-library/vdc.properties"
# VMTX extension path property
VMTX_EXTENSION_PATH = "VcServer.vmtxExtensionPaths = vmtx-extension.xml"
# Content library home
CONTENT_LIBRARY_HOME = "/usr/lib/vmware-content-library"
# Content library config home
CONTENT_LIBRARY_CONFIG_HOME = "/etc/vmware-content-library"
# Contnt Library services spec
CONTENT_LIBRARY_SERVICE_SPEC = CONTENT_LIBRARY_HOME + "/install_lib/regSpecs/vdc_services_spec.json"
# Content library service register spec
CONTENT_LIBRARY_SERVICE_REGISTER_SPEC = CONTENT_LIBRARY_CONFIG_HOME + "/cls_service_cisreg.spec"
# VMTX service VAPI json
VMTX_SERVICE_VAPI_CLI_JSON = (CONTENT_LIBRARY_CONFIG_HOME +
                              "/metadata/vmtx/com.vmware.vcenter.vm_template_cli.json")
# VAPI endpoint properties file
VAPI_ENDPOINT_PROPERTIES_FILE = "/etc/vmware-vapi/endpoint.properties"

# Solution user name key
SOLUTION_USER_NAME_KEY = "solutionUser.name"
# Solution user id key
SOLUTION_USER_ID_KEY = "solutionUser.ownerId"
# Reverse proxy connection type key
REVERSE_PROXY_CONNECTION_TYPE_KEY = "rhttpproxy.endpoint0.connectionType"
# Reverse proxy address key
REVERSE_PROXY_ADDRESS_KEY = "rhttpproxy.endpoint0.address"
# Reverse proxy connection type local
REVERSE_PROXY_CONNECTION_TYPE_LOCAL = "local"
# key store name machine
KEY_STORE_NAME_MACHINE = "machine"

# CloudVM components key
CLOUDVM_COMPONENTS_FOR_ID_TRANSLATION = "cloudvm.components"
# Component name for VMTX
VMTX_TEMPLATE_VAPI_COMPONENT = "com.vmware.vcenter.vm_template"

# User names
USER_ROOT = "root"
USER_VAPI_ENDPOINT = "vapiEndpoint"

# Authorization related constants
AUTHZ_TYPE_ID = 'cs.authorization'
CLS_ADMIN_NAME = 'com.vmware.Content.Admin'
EP_AUTHZ_PROTOCOL = 'vmomi'
EP_AUTHZ_TYPE_ID = 'com.vmware.cis.authorization.server'
